## net.sf.colorer.eclipse.outline
Class OutlineElement

    java.lang.Object
      net.sf.colorer.editor.OutlineItem
          net.sf.colorer.eclipse.outline.OutlineElement

Direct Known Subclasses:
  OutlineSchemeElement

    public class OutlineElement

extends OutlineItem

Field Summary

Fields inherited from class net.sf.colorer.editor.OutlineItem
`length, level, lno, pos, region, token`

Constructor Summary
`OutlineElement(IWorkbenchAdapter ad, int lno, int pos, int length, int level, java.lang.String token, Region region)`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Class adapter)`

Methods inherited from class net.sf.colorer.editor.OutlineItem
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutlineElement

    public OutlineElement(IWorkbenchAdapter ad,
                          int lno,
                          int pos,
                          int length,
                          int level,
                          java.lang.String token,
                          Region region)

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

Copyright © 2003 Cail Lomecb. All Rights Reserved.